<?php
namespace Teqpay\TeqpayPos\Controller\Sanalpos;

class Index extends \Magento\Framework\App\Action\Action
{
	protected $_pageFactory;
	protected $_checkoutSession;

	public function __construct(
		\Magento\Framework\App\Action\Context $context,
		\Magento\Checkout\Model\Session $checkoutSession,
		
		\Magento\Framework\View\Result\PageFactory $pageFactory)
	{
		$this->_pageFactory = $pageFactory;
		$this->_checkoutSession = $checkoutSession;
		return parent::__construct($context);
	}

	public function execute()
	{
		if($this->_checkoutSession->getQuote()->getPayment()->getMethod() != 'teqpay_pos'){
			header('Location: /checkout/cart'); exit;
		}; 
		return $this->_pageFactory->create();
	}
}