<?php
namespace Teqpay\TeqpayPos\Controller\Sanalpos;

class Session extends \Magento\Framework\App\Action\Action
{
    protected $jsonFactory;
    protected $_coreSession;

    public function __construct(
            \Magento\Backend\App\Action\Context $context, 
            \Magento\Framework\Controller\Result\JsonFactory $jsonFactory,
            \Magento\Framework\Session\SessionManagerInterface $coreSession
        )
    {
        parent::__construct($context);
        $this->jsonFactory = $jsonFactory;
        $this->_coreSession = $coreSession;
    }

    public function execute()
    {
        $resultJson = $this->jsonFactory->create();

        $data = $this->getRequest()->getPostValue();

        $objectManager   =  \Magento\Framework\App\ObjectManager::getInstance();
        $checkoutSession = $objectManager->get('\Magento\Checkout\Model\Session');
        $quote = $checkoutSession->getQuote();
        $email = $quote->getBillingAddress()->getData('email');

        $this->_coreSession->setCard($data);

        return $resultJson->setData($data);
    }
}
