<?php
namespace Teqpay\TeqpayPos\Controller\Sanalpos;

class Validate extends \Magento\Framework\App\Action\Action
{
	protected $_pageFactory;
	protected $_checkoutSession;
	protected $_storeManager;
	protected $_scopeConfig;

	public function __construct(
		\Magento\Framework\App\Action\Context $context,
		\Magento\Checkout\Model\Session $checkoutSession,
        \Magento\Store\Model\StoreManagerInterface $storeManager,
		\Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig,
		\Magento\Framework\View\Result\PageFactory $pageFactory)
	{
		$this->_pageFactory = $pageFactory;
		$this->_checkoutSession = $checkoutSession;
		$this->_scopeConfig = $scopeConfig;
		$this->_storeManager = $storeManager;
		return parent::__construct($context);
	}

	public function execute()
	{
        $data = $this->getRequest()->getPostValue();
		
		if(isset($data['del'])){

			$objectManager = \Magento\Framework\App\ObjectManager::getInstance(); // Instance of object manager
                $resource = $objectManager->get('Magento\Framework\App\ResourceConnection');
                $connection = $resource->getConnection();
                $tableName = $resource->getTableName('sipay_cards'); //gives table name with prefix

                $sql = "delete from " . $tableName . " where token = '" . $data['card_choice'] . "'";
                //echo $sql; exit;
			    $connection->query($sql);

				exit;
		}
        $error = [];


            if (isset($data['card_new'])) {
                if (!isset($data['card_number']) || strlen($data['card_number']) < 1 || strlen($data['card_number']) > 19) {
                    $error['card_number'] = 'Kart Numarası zorunludur';
                }

                if (!isset($data['card_cvv2']) || strlen($data['card_cvv2']) < 1 || strlen($data['card_cvv2']) > 4) {
                    $error['card_cvv2'] = 'CVV zorunludur';
                }
            } else {
                
            }

			$json['error'] = $error;

            echo json_encode($json);
    }

    
}